com.thinkaurelius.titan.graphdb.database

## Class EdgeSerializer

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.database.EdgeSerializer

- All Implemented Interfaces:
    RelationReader

      public class EdgeSerializer
      extends Object
      implements RelationReader

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EdgeSerializer.TypedInterval`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdgeSerializer(Serializer serializer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SliceQuery` | `getQuery(InternalRelationType type, com.tinkerpop.blueprints.Direction dir, EdgeSerializer.TypedInterval[] sortKey)`
    `SliceQuery` | `getQuery(RelationCategory resultType, boolean querySystemTypes)`
    `com.tinkerpop.blueprints.Direction` | `parseDirection(Entry data)`
    `RelationCache` | `parseRelation(Entry data, boolean excludeProperties, TypeInspector tx)`
    `RelationCache` | `readRelation(Entry data, boolean parseHeaderOnly, TypeInspector tx)`
    `StaticArrayEntry` | `writeRelation(InternalRelation relation, InternalRelationType type, int position, TypeInspector tx)`
    `Entry` | `writeRelation(InternalRelation relation, int position, TypeInspector tx)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EdgeSerializer

          public EdgeSerializer(Serializer serializer)

  - ### Method Detail

    - #### readRelation

          public RelationCache readRelation(Entry data,
                                   boolean parseHeaderOnly,
                                   TypeInspector tx)

    - #### parseDirection

          public com.tinkerpop.blueprints.Direction parseDirection(Entry data)

    - #### parseRelation

          public RelationCache parseRelation(Entry data,
                                    boolean excludeProperties,
                                    TypeInspector tx)

      Specified by:
        `parseRelation` in interface `RelationReader`

    - #### writeRelation

          public Entry writeRelation(InternalRelation relation,
                            int position,
                            TypeInspector tx)

    - #### writeRelation

          public StaticArrayEntry writeRelation(InternalRelation relation,
                                       InternalRelationType type,
                                       int position,
                                       TypeInspector tx)

    - #### getQuery

          public SliceQuery getQuery(RelationCategory resultType,
                            boolean querySystemTypes)

    - #### getQuery

          public SliceQuery getQuery(InternalRelationType type,
                            com.tinkerpop.blueprints.Direction dir,
                            EdgeSerializer.TypedInterval[] sortKey)

Copyright © 2012–2014. All rights reserved.